Summary: 	Perl interface to file system quotas
Name: 		perl-Quota
Version: 	1.4.6
Release: 	1.intergenia
License: 	Perl
Group: 		Applications/Text
Source0: 	http://search.cpan.org/CPAN/authors/id/T/TO/TOMZO/Quota-1.4.6.tar.gz
URL: 		http://search.cpan.org/
Vendor:		Intergenia AG
Packager:	Maik Broemme <mbroemme@plusserver.de>
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%(id -u -n)
BuildRequires:	perl >= 5
Requires:	perl >= 5

%description
The Quota module provides access to file system quotas.  The
quotactl system call or ioctl is used to query or set quotas
on the local host, or queries are submitted via RPC to a
remote host.  Mount tables can be parsed with getmntent and
paths can be translated to device files (or whatever the
actual quotactl implementations needs as argument) of the
according file system.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Quota-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;
find $RPM_BUILD_ROOT%{_prefix} -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{name}-%{version}.filelist
if [ "$(cat %{name}-%{version}.filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

%files -f %{name}-%{version}.filelist
%defattr(-,root,root)
%doc README CHANGES contrib

%changelog
* Thu May 27 2004 Maik Broemme <mbroemme@intergenia.de> 1.4.6-1.intergenia
- initial build for RedHat Linux 9 and perl 5.8.0
